Bug 193824

Summary: crash looking for Athens
Product: marble Reporter: Jaime Torres <jtamate>
Component: generalAssignee: Torsten Rahn <rahn>
Status: RESOLVED FIXED    
Severity: crash CC: alex200663, bastianholst, jpgnux, mail_to_wrt, marble-bugs, nienhueser, rahn
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Unlisted Binaries   
OS: Linux   
Latest Commit: Version Fixed In: 1.2.0 (KDE 4.7.0)

Description Jaime Torres 2009-05-24 00:28:54 UTC
Application that crashed: marble
Version of the application: 0.8SVN
KDE Version: 4.2.87 (KDE 4.2.87 (KDE 4.3 >= 20090519))
Qt Version: 4.5.0
Operating System: Linux 2.6.29.2-9-default-jta x86_64

What I was doing when the application crashed:
Trying to reproduce bug 172826, I looked for Vaduz, then Bucuresti, then Athens and then Atenas (spanish name).

This is the latest console output:

Creating new model                                                                
MarbleControlBox (sort): Time elapsed: 0 ms                                       
Creating GeoDataCoordinates from string  "aten"                                   
ONF search: GET /namefinder/search.xml?find= "aten"                               
Runner finished, active runners:  2                                               
Runner reports 0 results                                                          
ONF search result buffer size: 35910                                              
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -83.3767  lat: 33.9596                               
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Seneca"  lon: -82.9527  lat: 34.6865                               
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Αθήνα (Athina) [Αθήναι] [sv:Aten] [ru:Афины] [es:Atenas] [fi:Ateena] [ko:아테네] [bg:Атина] [el:Αθήνα] [en:Athens] [mk:Атина] [nl:Athene] [tr:Atina] [sr:Атина] [it:Atene] [de:Athen] [fr:Athènes] [ja:アテネ]"  lon: 23.728  lat: 37.9841                                                                               
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Πειραιάς [en:Piraeus] [gr:Πειραιάς] [de:Piräus]"  lon: 23.6485  lat: 37.9442                                                                         
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -95.8555  lat: 32.2049                               
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Palestine"  lon: -95.6308  lat: 31.7621                            
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Dallas"  lon: -96.8  lat: 32.7801                                  
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -86.9717  lat: 34.8029                               
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Hartselle"  lon: -86.9353  lat: 34.4434                            
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "East Florence"  lon: -87.6495  lat: 34.8095                        
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -84.593  lat: 35.4429                                
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Cleveland"  lon: -84.8766  lat: 35.1595                            
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Chattanooga"  lon: -85.3097  lat: 35.0456                          
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -82.1013  lat: 39.3292                               
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Parkersburg"  lon: -81.5615  lat: 39.2667                          
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Columbus"  lon: -82.9988  lat: 39.9612                             
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -93.0257  lat: 32.6504                               
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Minden"  lon: -93.2868  lat: 32.6154                               
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Shreveport"  lon: -93.7652  lat: 32.5222                           
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -81.0162  lat: 37.4223                               
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Bluefield"  lon: -81.2223  lat: 37.2698                            
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "New Athens"  lon: -89.877  lat: 38.3264                            
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Belleville"  lon: -89.984  lat: 38.52                              
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Saint Louis"  lon: -90.1979  lat: 38.6273                          
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -89.724  lat: 39.9609                                
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Springfield"  lon: -89.6437  lat: 39.8017                          
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "New Athens"  lon: -80.9957  lat: 40.1848                           
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Steubenville"  lon: -80.634  lat: 40.3698                          
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Louisville"  lon: -81.2595  lat: 40.8373                           
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -76.518  lat: 41.9573                                
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Southport"  lon: -76.8191  lat: 42.0548                            
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Wilkes-Barre"  lon: -75.8813  lat: 41.2459                         
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -85.2347  lat: 42.0887                               
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Battle Creek"  lon: -85.1797  lat: 42.3212                         
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Lansing"  lon: -84.5586  lat: 42.7336                              
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -73.8096  lat: 42.2604                               
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "East Greenbush"  lon: -73.7018  lat: 42.5909                       
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Kingston"  lon: -73.9961  lat: 41.9271                             
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -72.5679  lat: 43.1337                               
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Brattleboro"  lon: -72.5579  lat: 42.8509                          
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Springfield"  lon: -72.5898  lat: 42.1015                          
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -69.6728  lat: 44.9231                               
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Waterville"  lon: -69.6317  lat: 44.552                            
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -90.074  lat: 45.033                                 
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Marshfield"  lon: -90.1718  lat: 44.6689                           
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Old Athens"  lon: -93.0577  lat: 32.6457                           
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Minden"  lon: -93.2868  lat: 32.6154                               
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Shreveport"  lon: -93.7652  lat: 32.5222                           
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -118.281  lat: 33.92                                 
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Compton"  lon: -118.247  lat: 33.9136                              
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "West Athens"  lon: -118.303  lat: 33.9233                          
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Gardena"  lon: -118.309  lat: 33.8883                              
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Hawthorne"  lon: -118.334  lat: 33.8952                            
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -88.4417  lat: 33.8723                               
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "West Point"  lon: -88.6503  lat: 33.6076                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "East Florence"  lon: -87.6495  lat: 34.8095                        
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -93.9769  lat: 34.3146                               
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Hope"  lon: -93.5916  lat: 33.6671                                 
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Little Rock"  lon: -92.2896  lat: 34.7465                          
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -95.6139  lat: 37.907                                
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Parsons"  lon: -95.2611  lat: 37.3403                              
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Olathe"  lon: -94.783  lat: 38.8776                                
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -84.3641  lat: 37.9492                               
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Lexington-Fayette"  lon: -84.4585  lat: 38.0498                    
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -77.4172  lat: 37.9926                               
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Fredericksburg"  lon: -77.4605  lat: 38.3032                       
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Richmond"  lon: -77.442  lat: 37.5412                              
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -112.068  lat: 40.7277                               
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "West Valley City"  lon: -112.001  lat: 40.6916                     
NamedTagHandler                                                                   
parentItem: ""                                                                    
parsed named: "Athens"  lon: -91.6985  lat: 40.5825                               
DescriptionTagHandler                                                             
NearestPlacesTagHandler                                                           
NamedTagHandler                                                                   
parentItem: "nearestplaces"                                                       
parsed named: "Keokuk"  lon: -91.3849  lat: 40.3973
NamedTagHandler
parentItem: ""
parsed named: "Athens"  lon: -86.1253  lat: 41.0537
DescriptionTagHandler
NearestPlacesTagHandler
NamedTagHandler
parentItem: "nearestplaces"
parsed named: "Peru"  lon: -86.0689  lat: 40.7537
NamedTagHandler
parentItem: "nearestplaces"
parsed named: "South Bend"  lon: -86.25  lat: 41.6834
NamedTagHandler
parentItem: ""
parsed named: "New Athens"  lon: -79.5367  lat: 41.0137
DescriptionTagHandler
NearestPlacesTagHandler
NamedTagHandler
parentItem: "nearestplaces"
parsed named: "Butler"  lon: -79.8953  lat: 40.8612
NamedTagHandler
parentItem: "nearestplaces"
parsed named: "Pittsburgh"  lon: -79.9901  lat: 40.4417
NamedTagHandler
parentItem: ""
parsed named: "East Athens"  lon: -76.5055  lat: 41.9601
DescriptionTagHandler
NearestPlacesTagHandler
NamedTagHandler
parentItem: "nearestplaces"
parsed named: "Southport"  lon: -76.8191  lat: 42.0548
NamedTagHandler
parentItem: "nearestplaces"
parsed named: "Wilkes-Barre"  lon: -75.8813  lat: 41.2459
Runner finished, active runners:  1
Runner reports 30 results
MarbleControlBox (sort): Time elapsed: 1 ms
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = marble path = <unknown> pid = 21366
sock_file=/home/jtorres/.kde/socket-filemon/kdeinit4__1
QSocketNotifier: Invalid socket 10 and type 'Read', disabling...


 -- Backtrace:
Application: Marble Desktop Globe (marble), signal: Illegal instruction
[Current thread is 1 (Thread 0x7fe6435ce750 (LWP 21366))]

Thread 4 (Thread 0x7fe6318b0950 (LWP 21376)):
#0  0x00007fe63f54d38c in poll () from /lib64/libc.so.6
#1  0x00007fe63b475768 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fe63b475a8b in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fe6402f3b86 in QEventDispatcherGlib::processEvents (this=0x1d27b50, flags=<value optimized out>) at /g/kde4svn/qt-copy/src/corelib/kernel/qeventdispatcher_glib.cpp:325
#4  0x00007fe6402c6772 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 831193088}) at /g/kde4svn/qt-copy/src/corelib/kernel/qeventloop.cpp:149
#5  0x00007fe6402c6b3d in QEventLoop::exec (this=0x7fe6318b0040, flags={i = 831193168}) at /g/kde4svn/qt-copy/src/corelib/kernel/qeventloop.cpp:200
#6  0x00007fe6401d11e8 in QThread::exec (this=<value optimized out>) at /g/kde4svn/qt-copy/src/corelib/thread/qthread.cpp:481
#7  0x00007fe6402a8080 in QInotifyFileSystemWatcherEngine::run (this=0x1d2eb90) at /g/kde4svn/qt-copy/src/corelib/io/qfilesystemwatcher_inotify.cpp:214
#8  0x00007fe6401d4472 in QThreadPrivate::start (arg=0x1d2eb90) at /g/kde4svn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#9  0x00007fe63ff5d070 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fe63f55610d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fe630fe0950 (LWP 21383)):
#0  0x00007fe6402f5640 in QTimerInfoList::getTime (this=<value optimized out>, t=<value optimized out>) at /g/kde4svn/qt-copy/src/corelib/kernel/qeventdispatcher_unix.cpp:361
#1  0x00000000009b3e60 in ?? ()
#2  0x0000000002ee9660 in ?? ()
#3  0x0000000002ee9660 in ?? ()
#4  0x00007fe6402f6ee3 in QTimerInfoList::timerWait (this=0x1, tm=@0x7fe630fdfdc0) at /g/kde4svn/qt-copy/src/corelib/kernel/qeventdispatcher_unix.cpp:420
#5  0x00007fe6402f3d15 in timerSourcePrepare (source=<value optimized out>, timeout=0x7fe630fdfeb4) at /g/kde4svn/qt-copy/src/corelib/kernel/qeventdispatcher_glib.cpp:140
#6  0x00007fe63b4751aa in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#7  0x00007fe63b4755ca in ?? () from /usr/lib64/libglib-2.0.so.0
#8  0x00007fe63b475a8b in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#9  0x00007fe6402f3b86 in QEventDispatcherGlib::processEvents (this=0x813800, flags=<value optimized out>) at /g/kde4svn/qt-copy/src/corelib/kernel/qeventdispatcher_glib.cpp:325
#10 0x00007fe6402c6772 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 821952512}) at /g/kde4svn/qt-copy/src/corelib/kernel/qeventloop.cpp:149
#11 0x00007fe6402c6b3d in QEventLoop::exec (this=0x7fe630fe0040, flags={i = 821952592}) at /g/kde4svn/qt-copy/src/corelib/kernel/qeventloop.cpp:200
#12 0x00007fe6401d11e8 in QThread::exec (this=<value optimized out>) at /g/kde4svn/qt-copy/src/corelib/thread/qthread.cpp:481
#13 0x00007fe642cc2f21 in Marble::FileStorageWatcher::run (this=0x782f60) at /g/kde4svn/kdeedu/marble/src/lib/FileStorageWatcher.cpp:400
#14 0x00007fe6401d4472 in QThreadPrivate::start (arg=0x782f60) at /g/kde4svn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#15 0x00007fe63ff5d070 in start_thread () from /lib64/libpthread.so.0
#16 0x00007fe63f55610d in clone () from /lib64/libc.so.6
#17 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fe62df8b950 (LWP 21384)):
#0  0x00007fe63ff60d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fe6401d5585 in QWaitCondition::wait (this=0x3691490, mutex=0x3691488, time=18446744073709551615) at /g/kde4svn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007fe642469d74 in QHostInfoAgent::run (this=0x3691470) at /g/kde4svn/qt-copy/src/network/kernel/qhostinfo.cpp:260
#3  0x00007fe6401d4472 in QThreadPrivate::start (arg=0x3691470) at /g/kde4svn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#4  0x00007fe63ff5d070 in start_thread () from /lib64/libpthread.so.0
#5  0x00007fe63f55610d in clone () from /lib64/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fe6435ce750 (LWP 21366)):
[KCrash Handler]
#5  0x00007fe642d06830 in typeinfo name for Marble::LatLonRunner () from /opt/kde4/lib/libmarblewidget.so.4
#6  0x00007fe642c69421 in QModelIndex::data (this=<value optimized out>, arole=<value optimized out>) at /usr/lib/qt4.5/include/QtCore/qabstractitemmodel.h:378
#7  0x00007fe642cabe1b in Marble::VisiblePlacemark::symbolPixmap (this=0x3523ab0) at /g/kde4svn/kdeedu/marble/src/lib/VisiblePlacemark.cpp:41
#8  0x00007fe642caf674 in Marble::PlacemarkLayout::whichPlacemarkAt (this=<value optimized out>, curpos=@0x7fff4b627560) at /g/kde4svn/kdeedu/marble/src/lib/PlacemarkLayout.cpp:139
#9  0x00007fe642c6a621 in Marble::MarbleModel::whichFeatureAt (this=<value optimized out>, curpos=@0x3523ab0) at /g/kde4svn/kdeedu/marble/src/lib/MarbleModel.cpp:705
#10 0x00007fe642c81e31 in Marble::MarbleWidgetDefaultInputHandler::eventFilter (this=0x1c85cd0, o=<value optimized out>, e=0x7fff4b627e90)
    at /g/kde4svn/kdeedu/marble/src/lib/MarbleWidgetInputHandler.cpp:401
#11 0x00007fe6402c76e7 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x851440, event=0x7fff4b627e90)
    at /g/kde4svn/qt-copy/src/corelib/kernel/qcoreapplication.cpp:718
#12 0x00007fe640e4852c in QApplicationPrivate::notify_helper (this=0x66f8d0, receiver=0x851440, e=0x7fff4b627e90) at /g/kde4svn/qt-copy/src/gui/kernel/qapplication.cpp:4080
#13 0x00007fe640e4fe0a in QApplication::notify (this=<value optimized out>, receiver=0x851440, e=0x7fff4b627e90) at /g/kde4svn/qt-copy/src/gui/kernel/qapplication.cpp:3786
#14 0x00007fe641d891de in KApplication::notify (this=0x7fff4b628bf0, receiver=0x851440, event=0x7fff4b627e90) at /g/kde4svn/kdelibs/kdeui/kernel/kapplication.cpp:302
#15 0x00007fe6402c7c33 in QCoreApplication::notifyInternal (this=0x7fff4b628bf0, receiver=0x851440, event=0x7fff4b627e90) at /g/kde4svn/qt-copy/src/corelib/kernel/qcoreapplication.cpp:602
#16 0x00007fe640e51332 in QApplicationPrivate::sendMouseEvent (receiver=0x851440, event=0x7fff4b627e90, alienWidget=0x851440, nativeWidget=0x77cba0, buttonDown=<value optimized out>, 
    lastMouseReceiver=@0x7fe641922070) at ../../include/QtCore/../../../../kde4svn/qt-copy/src/corelib/kernel/qcoreapplication.h:216
#17 0x00007fe640ebf851 in QETWidget::translateMouseEvent (this=0x77cba0, event=<value optimized out>) at /g/kde4svn/qt-copy/src/gui/kernel/qapplication_x11.cpp:4425
#18 0x00007fe640ebe478 in QApplication::x11ProcessEvent (this=0x7fff4b628bf0, event=0x7fff4b628830) at /g/kde4svn/qt-copy/src/gui/kernel/qapplication_x11.cpp:3543
#19 0x00007fe640ee5fcc in x11EventSourceDispatch (s=0x670150, callback=0, user_data=0x0) at /g/kde4svn/qt-copy/src/gui/kernel/qguieventdispatcher_glib.cpp:146
#20 0x00007fe63b4720fb in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#21 0x00007fe63b4758cd in ?? () from /usr/lib64/libglib-2.0.so.0
#22 0x00007fe63b475a8b in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#23 0x00007fe6402f3b6f in QEventDispatcherGlib::processEvents (this=0x6579c0, flags=<value optimized out>) at /g/kde4svn/qt-copy/src/corelib/kernel/qeventdispatcher_glib.cpp:323
#24 0x00007fe640ee571f in QGuiEventDispatcherGlib::processEvents (this=0x7fff4b6272d0, flags=<value optimized out>) at /g/kde4svn/qt-copy/src/gui/kernel/qguieventdispatcher_glib.cpp:202
#25 0x00007fe6402c6772 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 1264749344}) at /g/kde4svn/qt-copy/src/corelib/kernel/qeventloop.cpp:149
#26 0x00007fe6402c6b3d in QEventLoop::exec (this=0x7fff4b628b60, flags={i = 1264749424}) at /g/kde4svn/qt-copy/src/corelib/kernel/qeventloop.cpp:200
#27 0x00007fe6402c8ee4 in QCoreApplication::exec () at /g/kde4svn/qt-copy/src/corelib/kernel/qcoreapplication.cpp:880
#28 0x00000000004145db in main (argc=1, argv=0x7fff4b629e18) at /g/kde4svn/kdeedu/marble/src/kdemain.cpp:286
Comment 1 Torsten Rahn 2009-05-25 23:16:35 UTC
Hm, this one is in line 400 of FileStorageWatcher again when crashing. 
Bastian: Could this be your bug? (I honestly don't know ...)
Comment 2 Dario Andres 2009-11-23 22:45:54 UTC
*** Bug 215848 has been marked as a duplicate of this bug. ***
Comment 3 Dennis Nienhüser 2010-01-27 21:45:02 UTC
*** Bug 222994 has been marked as a duplicate of this bug. ***
Comment 4 Dennis Nienhüser 2010-01-27 21:54:51 UTC
FileStorageWatcher:400 is just the thread idling. The crash is in Thread 1 and I suspect it is the QModelIndex stored by VisiblePlacemark that became invalid (same for bug 222994). Retrieving a pointer from it then results in a crash.

@Torsten: How can performance penalties induced by switching to a QPersistenModelIndex be measured -- are there any good testfiles, for example?
Comment 5 Dennis Nienhüser 2011-07-19 19:15:31 UTC
*** Bug 264880 has been marked as a duplicate of this bug. ***
Comment 6 Dennis Nienhüser 2011-07-19 19:17:55 UTC
<CIA-59> Guillaume Martres kde-4.7 * rv4.6.90-41-gef26f5e src/lib/PlacemarkLayout.cpp
<CIA-59> (log message trimmed)
<CIA-59> PlacemarkLayout: avoid having deleted VisiblePlacemarks in m_paintOrder
<CIA-59> setCacheData() runs qDeleteAll on m_visiblePlacemarks but did not remove
<CIA-59> them from m_paintOrder. This could cause random crashes (semi-reproducible
<CIA-59> at startup by moving/clicking the mouse before the map is loaded).
<CIA-59> (cherry picked from commit 78980c378a7eff47fd68ad4b013f0d5c346315ef)
<CIA-59> BUG: 193824
<CIA-59> http://commits.kde.org/marble/ef26f5e0b5bd298cad110296c2c985b28e7a5fff